package com.test.hideMenu;

import android.content.Intent;
import android.os.Build;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.Button;
import android.widget.FrameLayout;

import androidx.appcompat.app.AppCompatActivity;


import java.io.DataOutputStream;
import java.io.OutputStream;

public class MainActivity extends AppCompatActivity implements View.OnClickListener{

    private Button bt_hide_menu,bt_disHide_menu;
    private FrameLayout content;
    private static final String TAG = "BaseActivityForAuto";
    //Android 7.1 hides navigation bar broadcasts
    private final static String show = "am broadcast -a action.SHOW_STATUSBAR";
    //Android 7.1 shows the navigation bar broadcast
    private final static String hide = "am broadcast -a action.HIDE_STATUSBAR";
    @Override
    protected void onCreate(Bundle savedInstanceState){
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        bt_hide_menu = findViewById(R.id.bt_hide_menu);
        bt_disHide_menu = findViewById(R.id.bt_disHide_menu);
        bt_hide_menu.setOnClickListener(this);
        bt_disHide_menu.setOnClickListener(this);
    }

    @Override
    public void onClick(View v) {
        switch (v.getId()){
            case R.id.bt_hide_menu:
                //Passing in true here means you want to hide it
                HideMenu(true);
                break;
            case R.id.bt_disHide_menu:
                //Passing in true here indicates that unhiding is required
                HideMenu(false);
                break;
        }
    }

    //This method is used to execute commands
    public void execShell(String cmd){
        try{

            Process p = Runtime.getRuntime().exec("su");
            OutputStream outputStream = p.getOutputStream();
            DataOutputStream dataOutputStream=new DataOutputStream(outputStream);
            dataOutputStream.writeBytes(cmd);
            dataOutputStream.flush();
            dataOutputStream.close();
            outputStream.close();
        }
        catch(Throwable t)
        {
            t.printStackTrace();
        }
    }
    private void HideMenu(boolean flag){
        //Android 7.0 below the use of the method
        if (Build.VERSION.SDK_INT > 11 && Build.VERSION.SDK_INT <= 23) {
            if (flag){
                Intent intent = new Intent();
                intent.setAction("marvsmart_bar");
                intent.putExtra("marvsmart_swich", false);
                intent.putExtra("marvsmart_toast", "");//Toast,如果传入数据不为空且长度大于0，就以Toast弹出
                sendBroadcast(intent);
            }else {
                Intent intent = new Intent();
                intent.setAction("marvsmart_bar");
                intent.putExtra("marvsmart_swich", true);
                intent.putExtra("marvsmart_toast", "");//Toast,如果传入数据不为空且长度大于0，就以Toast弹出
                sendBroadcast(intent);
            }
            //Android 7.0 above using the method
        } else if (Build.VERSION.SDK_INT > 23) {
            Log.d("menu",">21");
            if(flag){
                execShell(hide);
            }else {
                execShell(show);
            }
        }
    }

    @Override
    protected void onDestroy() {
        super.onDestroy();

    }
}